<% @title = 'Edit Project' %>
<h1><%= @title %></h1>
<%= render_errors_for "project" %>
<div class="frm">
  <%= start_form_tag :action => "update" %>
  <%= hidden_field("project", "id") %>
  <fieldset>
    <legend>Project</legend>
    <table width="100%">
      <tr>
	<td width="40%"><label for="name">Project Name</label></td>
	<td><%= text_field("project", "name", "size" => 40, "id" => "name") %></td>
      </tr>
      <tr>
	<td><label for="manager">Project Manager</label></td>
	<td><select name="project[manager_id]">
	  <% for user in @users %>
	  <option value="<%= user.id %>"<%= ' selected' if user.id == @project.manager_id %>><%= user.full_name %></option>
	  <% end %></select></td>
      </tr>
      <tr>
	<td><label for="status">Active</label></td>
	<td><%= check_box("project", "status", {"id" => "status"}, Project::ACTIVE, Project::DISABLED) %></td>
      </tr>
      <tr><td>&nbsp;</td></tr>
      <tr>
	<td valign="top"><label>Releases</label></td>
	<td>
	  <table cellspacing="0" cellpadding="2" width="100%" class="tbl">
	    <tr>
	      <th class="tbl_header" style="text-align: center;">Edit</th>
	      <th class="tbl_header">Version</th>
	      <th class="tbl_header">Assignable</th>
	      <th class="tbl_header">Date</th>
	    </tr>
	    <% for release in @project.releases %>
	    <tr>
	      <td class="tbl_data" style="width:10%;text-align: center;">
		<%= link_to_image "/images/edit.gif", {:controller => "release", :action => "edit", :id => release.id}, :border => 0 %>
	      </td>
	      <td class="tbl_data"><%= release.name %></td>
	      <td class="tbl_data"><input type="checkbox" disabled="true" <% if release.assignable? %>checked="true"><% end %></td>
	      <td class="tbl_data"><%= release.rel_date %>&nbsp;</td>
	    </tr>
	    <% end %>
	    <tr>
	      <td colspan="4" class="tbl_footer" style="font-size: 12px;">
		<%= link_to "Add new release", {:controller => "release", :action => "new", :id => @project.id}, {"class" => "new_btn"} %>
              </td>
            </tr>
	  </table>
	</td>
      </tr>
      <tr><td>&nbsp;</td></tr>
      <tr>
	<td valign="top"><label>Areas</label></td>
	<td>
	  <table cellspacing="0" cellpadding="2" width="100%" class="tbl">
	    <tr>
	      <th class="tbl_header" style="text-align: center;">Edit</th>
	      <th class="tbl_header" style="text-align: center;">Delete</th>
	      <th class="tbl_header" width="80%">Name</th>
	    </tr>
	    <% for area in @project.areas %>
	    <tr>
	      <td class="tbl_data" style="width:10%;text-align: center;">
		<%= link_to_image "/images/edit.gif", {:controller => "area", :action => "edit", :id => area.id}, :border => 0 %>
	      </td>
	      <td class="tbl_data" style="width:10%;text-align: center;">
		<%= link_to_image "/images/delete.gif", {:controller => "area", :action => "delete", :id => area.id}, :border => 0 %>
	      </td>
	      <td class="tbl_data"><%= area.name %></td>
	    </tr>
	    <% end %>
	    <tr>
	      <td colspan="4" class="tbl_footer" style="font-size: 12px;">
		<%= link_to "Add new area", {:controller => "area", :action => "new", :id => @project.id}, {"class" => "new_btn"} %>
              </td>
            </tr>
	  </table>
	</td>
      </tr>
     </table>
   </fieldset>
   <div class="btn"><input type="submit" value="Update Project" />&nbsp;<input type="button" value="Cancel" onclick="javascript:window.location ='<%= url_for :action => "list" %>'" /></div>
  <%= end_form_tag %>
</div>
